OpenMesh::Attributes Namespace Reference

This namespace holds per item attributes like normal/color. More...

## Classes

class | StatusInfo
| Add status information to a base class. More...

## Enumerations

enum | AttributeBits { None = 0, Normal = 1, Color = 2, PrevHalfedge = 4, Status = 8, TexCoord1D = 16, TexCoord2D = 32, TexCoord3D = 64, TextureIndex = 128 }
| Attribute bits. More...
enum | StatusBits { DELETED = 1, LOCKED = 2, SELECTED = 4, HIDDEN = 8, FEATURE = 16, TAGGED = 32, TAGGED2 = 64, FIXEDNONMANIFOLD = 128, UNUSED = 256 }
| Status bits used by the Status class. More...

## Detailed Description

This namespace holds per item attributes like normal/color.

There are some macros provided for convenience, see Attributes.hh.

See also
  Attributes.hh

## Enumeration Type Documentation

## AttributeBits

enum OpenMesh::Attributes::AttributeBits

Attribute bits.

Use the bits to define a standard property at compile time using traits.

struct MyTraits : public OpenMesh::DefaultTraits
{
VertexAttributes( OpenMesh::Attributes::Normal |
OpenMesh::Attributes::Color );
FaceAttributes( OpenMesh::Attributes::Normal );
};

See also
  Specifying your MyMesh

Enumerator
None | Clear all attribute bits.
Normal | Add normals to mesh item (vertices/faces)
Color | Add colors to mesh item (vertices/faces/edges)
PrevHalfedge | Add storage for previous halfedge (halfedges). The bit is set by default in the DefaultTraits.
Status | Add status to mesh item (all items)
TexCoord1D | Add 1D texture coordinates (vertices, halfedges)
TexCoord2D | Add 2D texture coordinates (vertices, halfedges)
TexCoord3D | Add 3D texture coordinates (vertices, halfedges)
TextureIndex | Add texture index (faces)

## StatusBits

enum OpenMesh::Attributes::StatusBits

Status bits used by the Status class.

See also
  OpenMesh::Attributes::StatusInfo

Enumerator
DELETED | Item has been deleted.
LOCKED | Item is locked.
SELECTED | Item is selected.
HIDDEN | Item is hidden.
FEATURE | Item is a feature or belongs to a feature.
TAGGED | Item is tagged.
TAGGED2 | Alternate bit for tagging an item.
FIXEDNONMANIFOLD | Item was non-two-manifold and had to be fixed.
UNUSED | Unused.